<?php
/**
 * Created by PhpStorm.
 * User: edz
 * Date: 2019-06-10
 * Time: 17:53
 */

namespace App\Repositories;


use App\Models\Behavior;
use Illuminate\Support\Facades\Log;

class FeedRepositories
{
    public function __construct()
    {
    }

    public function getFeedType($action)
    {
        $type = [
            'like' => 1,
            'forward' => 2,
            'collect' => 3,
            'comment' => 4,
            'focus' => 5,
            'publish' => 6
        ];
        return isset($type[$action]) ? $type[$action] : 0;
    }



    /**
     * 创建feed流内容
     * @param $request
     */
    public function feedCreate($request)
    {
        $fans = $request['fans'];
        $behaviorFlag = $request['behavior_flag'];
        $feedType = $this->feedCreate($behaviorFlag);
        if($feedType){
            $data = [];
            foreach ($fans as $fan) {
                $data['uid'] = $fan;
                $data['follow_uid'] = $request['target_id'];
                $data['follow_username'] = $request['target_username'];
                $data['follow_avatar'] = $request['target_avatar'];
                $data['type'] = $feedType;

                if(in_array($feedType,[1,2,3])){
                    $data['relate_id'] = $request['post_id'];
                    $content['post_desc'] = $request['post_desc'];
                }elseif ($feedType==4){
                    $data['relate_id'] = $request['post_id'];
                    $content['post_desc'] = $request['post_desc'];
                    $content['comment_desc'] = $request['comment_content'];
                }elseif ($feedType==6){
                    $data['relate_id'] = $request['post_id'];
                }elseif ($feedType==5){
                    $data['relate_id'] = $request['focus_uid'];
                }
                $data['content'] = json_encode($content);
            }
        }
    }


}